<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'ContextExistsException' => '\\StructType\\ContextExistsException',
            'DatabaseUpdateException' => '\\StructType\\DatabaseUpdateException',
            'InvalidCredentialsException' => '\\StructType\\InvalidCredentialsException',
            'InvalidDataException' => '\\StructType\\InvalidDataException',
            'NoSuchContextException' => '\\StructType\\NoSuchContextException',
            'NoSuchDatabaseException' => '\\StructType\\NoSuchDatabaseException',
            'NoSuchFilestoreException' => '\\StructType\\NoSuchFilestoreException',
            'NoSuchReasonException' => '\\StructType\\NoSuchReasonException',
            'OXContextException' => '\\StructType\\OXContextException',
            'RemoteException' => '\\StructType\\RemoteException',
            'StorageException' => '\\StructType\\StorageException',
            'change' => '\\StructType\\Change',
            'changeCapabilities' => '\\StructType\\ChangeCapabilities',
            'changeModuleAccess' => '\\StructType\\ChangeModuleAccess',
            'changeModuleAccessByName' => '\\StructType\\ChangeModuleAccessByName',
            'changeQuota' => '\\StructType\\ChangeQuota',
            'create' => '\\StructType\\Create',
            'createModuleAccess' => '\\StructType\\CreateModuleAccess',
            'createModuleAccessByName' => '\\StructType\\CreateModuleAccessByName',
            'createModuleAccessByNameResponse' => '\\StructType\\CreateModuleAccessByNameResponse',
            'createModuleAccessResponse' => '\\StructType\\CreateModuleAccessResponse',
            'createResponse' => '\\StructType\\CreateResponse',
            'delete' => '\\StructType\\Delete',
            'disable' => '\\StructType\\Disable',
            'disableAll' => '\\StructType\\DisableAll',
            'downgrade' => '\\StructType\\Downgrade',
            'enable' => '\\StructType\\Enable',
            'enableAll' => '\\StructType\\EnableAll',
            'exists' => '\\StructType\\Exists',
            'existsResponse' => '\\StructType\\ExistsResponse',
            'getAccessCombinationName' => '\\StructType\\GetAccessCombinationName',
            'getAccessCombinationNameResponse' => '\\StructType\\GetAccessCombinationNameResponse',
            'getAdminId' => '\\StructType\\GetAdminId',
            'getAdminIdResponse' => '\\StructType\\GetAdminIdResponse',
            'getContextCapabilities' => '\\StructType\\GetContextCapabilities',
            'getContextCapabilitiesResponse' => '\\StructType\\GetContextCapabilitiesResponse',
            'getData' => '\\StructType\\GetData',
            'getDataResponse' => '\\StructType\\GetDataResponse',
            'getModuleAccess' => '\\StructType\\GetModuleAccess',
            'getModuleAccessResponse' => '\\StructType\\GetModuleAccessResponse',
            'list' => '\\StructType\\_list',
            'listAll' => '\\StructType\\ListAll',
            'listAllResponse' => '\\StructType\\ListAllResponse',
            'listByDatabase' => '\\StructType\\ListByDatabase',
            'listByDatabaseResponse' => '\\StructType\\ListByDatabaseResponse',
            'listByFilestore' => '\\StructType\\ListByFilestore',
            'listByFilestoreResponse' => '\\StructType\\ListByFilestoreResponse',
            'listQuota' => '\\StructType\\ListQuota',
            'listQuotaResponse' => '\\StructType\\ListQuotaResponse',
            'listResponse' => '\\StructType\\ListResponse',
            'moveContextDatabase' => '\\StructType\\MoveContextDatabase',
            'moveContextDatabaseResponse' => '\\StructType\\MoveContextDatabaseResponse',
            'moveContextFilestore' => '\\StructType\\MoveContextFilestore',
            'moveContextFilestoreResponse' => '\\StructType\\MoveContextFilestoreResponse',
            'Exception' => '\\StructType\\Exception',
            'IOException' => '\\StructType\\IOException',
            'Context' => '\\StructType\\Context',
            'Database' => '\\StructType\\Database',
            'SOAPStringMapMap' => '\\StructType\\SOAPStringMapMap',
            'SOAPMapEntry' => '\\StructType\\SOAPMapEntry',
            'SOAPStringMap' => '\\StructType\\SOAPStringMap',
            'Entry' => '\\StructType\\Entry',
            'User' => '\\StructType\\User',
            'Group' => '\\StructType\\Group',
            'SchemaSelectStrategy' => '\\StructType\\SchemaSelectStrategy',
            'UserModuleAccess' => '\\StructType\\UserModuleAccess',
            'Filestore' => '\\StructType\\Filestore',
            'Credentials' => '\\StructType\\Credentials',
            'Quota' => '\\StructType\\Quota',
        );
    }
}
